Debian Bug report logs - #452547
rubygems: Disable gem update --system

version graph

Package: rubygems; Maintainer for rubygems is Daigo Moriwaki <daigo@debian.org>; Source for rubygems is src:rubygems.

Reported by: Ken Bloom <kbloom@gmail.com>

Date: Fri, 23 Nov 2007 15:18:04 UTC

Severity: normal

Found in version libgems-ruby/0.9.4-4

Fixed in version 1.0.0-1

Done: Ken Bloom <kbloom@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daigo Moriwaki <daigo@debian.org>:
Bug#452547; Package rubygems. Full text and rfc822 format available.

Acknowledgement sent to Ken Bloom <kbloom@gmail.com>:
New Bug report received and forwarded. Copy sent to Daigo Moriwaki <daigo@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ken Bloom <kbloom@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: rubygems: Disable gem update --system
Date: Fri, 23 Nov 2007 09:17:17 -0600
Package: rubygems
Version: 0.9.4-4
Severity: normal


RubyGems 0.9.5 has been released, and the instructions for upgrading
include the 'gem update --system' command. Since 'gem update --system'
breaks the installation on Debian, and is unnecessary when apt-get is
present anyway, please disable 'gem update --system' and make it print
a note to use apt-get instead.

(See
http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-talk/279841 for
discussion of this issue.)

--Ken

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.21-1ken (SMP w/1 CPU core; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages rubygems depends on:
ii  libgems-ruby1.8              0.9.4-4     libraries to use RubyGems, a packa
ii  ruby1.8                      1.8.6.111-2 Interpreter of object-oriented scr

rubygems recommends no packages.

-- no debconf information




Bug marked as fixed in version 1.0.0-1, send any further explanations to Ken Bloom <kbloom@gmail.com> Request was from Ken Bloom <kbloom@gmail.com> to control@bugs.debian.org. (Tue, 25 Dec 2007 22:09:02 GMT) Full text and rfc822 format available.

Reply sent to Ken Bloom <kbloom@gmail.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ken Bloom <kbloom@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 452547-close@bugs.debian.org (full text, mbox):

From: Ken Bloom <kbloom@gmail.com>
To: 452547-close@bugs.debian.org
Subject: Fixed in 1.0.0-1
Date: Tue, 25 Dec 2007 14:12:33 -0800
[Message part 1 (text/plain, inline)]
Version: 1.0.0-1

I'm not sure why this didn't get closed by the BTS, but according to
the changelog, it's fixed in version 1.0.0-1

libgems-ruby (1.0.0-1) unstable; urgency=low

  [ Daigo Moriwaki ]
  * New upstream release (Closes: #45706, #45718, #443135).
  * Removed patches since the upstream has resolved the issues
    - debian/patches/03_config_file.dpatch
    - debian/patches/04_gem_runner.dpatch
    - debian/patches/06_dependency_list.dpatch
    - debian/patches/07_security.dpatch
    - debian/patches/10_datadir.dpatch
  * Replaced patches with a new and upstream-friendly way.
    Thanks to James Healy <jimmy at deefa dot com>.
    - Removed debian/patches/01_rubygems.dpatch
    - Removed debian/patches/02_post-install.dpatch
    - Added debian/patches/01_default_gem_path.dpatch
  * Removed patches for --build-root command option, which is no longer 
    supported.
    - 05_gem_commands.dpatch
    - 09_installer.dpatch 
  * debian/patches/08_tighter_search_regex.dpatch: Followed the upstream 
    changes. Thanks to James Healy.
  * Added debian/patches/03_disable_update_system.dpatch: 
    Disabled gem update --system (Closes: #452547).
    Thanks to James Healy. 
  * debian/patches/21_avoid_ioseek.dpatch: Added a description.
  * Added debian/etc/bash_completion.d/gem1.8 instead of patching
    by debian/patches/22_add_bash_completion.dpatch 
    - Improved a description. Thanks to James Healy.
    - Followed new options. 
      Thanks to Victor Serbin <chepel at hotmail dot com>.
  * Removed man pages and corrected debian/rules since the commands 
    are gone.
    - debian/gem_mirror.1
    - debian/gem_server.sgml
    - debian/gemlock.1, 
    - debian/gemri.1
    - debian/gemwhich.sgml
    - debian/index_gem_repository.1
  * debian/libgems-ruby1.8.docs: Included 'html/' (instead of 'docs/') 
    where documents are correctly generated. 'Releases' is no longer 
    provided.
  * Added debian/rubygems.manpages. Thanks to James Healy.
  * debian/control:
    - Added rake in Build-Depends-Indep to generate documentations.
    - Removed unnecessary docbook-to-man from Build-Depends-Indep.
    - Bumped Standards-Version to 3.7.3.
  * Added debian/prerm and debian/postrm: /usr/bin/gem and gem1.8 are 
    now managed by Debian alternatives system.

  [ Arnaud Cornet ]
  * Use new Homepage dpkg header.

 -- Daigo Moriwaki <daigo@debian.org>  Thu, 20 Dec 2007 20:03:53 +0900


-- 
Ken (Chanoch) Bloom. PhD candidate. Linguistic Cognition Laboratory.
Department of Computer Science. Illinois Institute of Technology.
http://www.iit.edu/~kbloom1/
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 23 Jan 2008 07:28:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:27:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.